import { IKeyCode } from './types';
interface CharacterCode {
    name: string;
    value: string;
    code: IKeyCode;
    color: string;
    previewColor?: string;
    inverseColor?: string;
    inversePreviewColor?: string;
    keyCode?: number;
    shiftKey?: boolean;
    sprite?: string;
    spriteInverse?: string;
}
export declare const characterCodeColors: Array<CharacterCode>;
export declare const characterCodes: Array<CharacterCode>;
export {};
