var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var _a, _b;
import * as React from 'react';
import { IconButton } from '@mui/material';
import { colors, responsive } from '../theme';
import AddIcon from '@mui/icons-material/Add';
import CloseIcon from '@mui/icons-material/Close';
var addButton = {
    backgroundColor: colors.alto,
    '&:hover': {
        backgroundColor: colors.alto,
    },
};
var removeButton = {
    backgroundColor: colors.woodSmoke,
    border: '1px solid',
    borderColor: colors.alto,
};
var groupedButtons = {
    '&:first-child': (_a = {
            borderTopRightRadius: 0,
            borderBottomRightRadius: 0
        },
        _a["@media(max-width: ".concat(responsive.SMALL_MOBILE, "px)")] = {
            borderTopRightRadius: 6,
            borderBottomLeftRadius: 0,
        },
        _a),
    '&:last-child': (_b = {
            borderTopLeftRadius: 0,
            borderBottomLeftRadius: 0
        },
        _b["@media(max-width: ".concat(responsive.SMALL_MOBILE, "px)")] = {
            borderTopRightRadius: 0,
            borderBottomLeftRadius: 6,
        },
        _b),
};
export var AddRemoveButton = function (props) {
    var style = props.add ? addButton : removeButton;
    var isGrouped = props.isGrouped ? groupedButtons : {};
    return (React.createElement(IconButton, { onClick: props.onPress, size: 'small', sx: __assign(__assign({ borderRadius: 6 }, style), isGrouped) }, props.add ? (React.createElement(AddIcon, { style: { fontSize: 18, color: colors.woodSmoke } })) : (React.createElement(CloseIcon, { style: { fontSize: 18, color: colors.white } }))));
};
