import React from 'react';
import { colors } from '../theme';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles(function (props) { return ({
    app: {
        flex: 1,
        height: '100vh',
        overflow: 'auto',
        background: props.color || colors.shark,
    },
}); });
export var App = function (props) {
    var classes = useStyles(props);
    return React.createElement("div", { style: classes.app }, props.children);
};
