import { IBoard, IBoardStyle } from '../types';
import { IBoardDropdownAction } from './SendButton';
import React from 'react';
import { Mode } from './WysiwygEditor/WysiwygTypes';
interface IBoardEditor {
    boardValue: IBoard;
    setBoardValue: (value: IBoard) => void;
    mode?: Mode;
    onSend?: () => void;
    onSchedule?: () => void;
    onSaveDraft?: () => void;
    onSelectDraft?: () => void;
    onCancel?: () => void;
    onTemplatesClick?: () => void;
    sendButtonLabel?: string;
    boardStyle?: IBoardStyle;
    dropdownActions?: Array<IBoardDropdownAction>;
    showFilledColor?: boolean;
    columns?: number;
    rows?: number;
}
export declare const BoardEditor: (props: IBoardEditor) => React.JSX.Element;
export {};
