import React from 'react';
import { IGalleryBoard } from './types';
interface IBoardGallery {
    currentPage: number;
    setPage: (page: number) => void;
    boards: Array<IGalleryBoard>;
    enableSettingsActions?: boolean;
    handleRename?: (board: IGalleryBoard) => void;
    handleLeave?: (board: IGalleryBoard) => void;
    handlePublish?: (board: IGalleryBoard) => void;
    handleSettings?: (board: IGalleryBoard) => void;
    handleCopy?: (board: IGalleryBoard) => void;
    handleShare?: (board: IGalleryBoard) => void;
    handleFavorite?: (board: IGalleryBoard) => void;
    handleDuplicate?: (board: IGalleryBoard) => void;
    handleDelete?: (board: IGalleryBoard) => void;
    handleMuted?: (board: IGalleryBoard) => void;
}
export declare const BoardGallery: (props: IBoardGallery) => React.JSX.Element;
export {};
