import { IBoard, IBoardStyle } from '../../types';
export interface IGalleryBoard {
    title?: string;
    message?: IBoard;
    author?: string;
    id: string;
    friendlyIdentifier?: string;
    status?: 'online' | 'offline' | 'virtual';
    created?: string;
    isOwner?: boolean;
    isFavorite?: boolean;
    messageId?: string;
    boardStyle?: IBoardStyle;
    isMuted?: boolean;
}
