import React, { FC } from 'react';
interface IButton {
    buttonType?: 'default' | 'primary' | 'danger' | 'white' | 'outline' | 'ghost' | 'black' | 'outlineBlack';
    type?: 'button' | 'submit';
    children: React.ReactNode;
    onClick: () => void;
    width?: number;
    endIcon?: React.ReactNode;
    startIcon?: React.ReactNode;
    disabled?: boolean;
}
export declare const Button: FC<IButton>;
export {};
