var _a;
import * as React from 'react';
import { BoardPreview, FullModal } from './';
import Box from '@mui/material/Box';
import ButtonBase from '@mui/material/ButtonBase';
import { responsive } from '../theme';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    boards: {
        display: 'flex',
        flexWrap: 'wrap',
        justifyContent: 'space-evenly',
        paddingBottom: '100px',
    },
    boardWrapper: (_a = {
            width: '30%',
            marginTop: '40px',
            position: 'relative',
            display: 'block'
        },
        _a["@media(max-width: ".concat(responsive.TABLET, "px)")] = {
            width: '45%',
        },
        _a["@media(max-width: ".concat(responsive.MOBILE, "px)")] = {
            width: '100%',
        },
        _a),
});
export var Drafts = function (props) {
    var classes = useStyles();
    return (React.createElement(FullModal, { title: "Drafts", onClose: props.onClose },
        React.createElement(Box, { sx: classes.boards }, props.drafts.map(function (draft, i) { return (React.createElement(ButtonBase, { sx: classes.boardWrapper, key: i, onClick: function () { return props.onSelect(draft.message); } },
            React.createElement(BoardPreview, { characters: draft.message }, draft.timeStamp))); }))));
};
