import { CSSProperties, FC } from 'react';
export declare const icons: {
    edit: string;
    delete: string;
    schedule: string;
    send: string;
    arrow: string;
    auto: string;
    check: string;
    close: string;
    code: string;
    copy: string;
    favorite: string;
    leave: string;
    publish: string;
    settings: string;
    share: string;
    text: string;
    visual: string;
    bookmark: string;
    bookmark2: string;
    bookmarkoff: string;
    bookmarkon: string;
    plus: string;
    pin: string;
    mute: string;
};
export declare type IconType = 'delete' | 'edit' | 'schedule' | 'send' | 'arrow' | 'auto' | 'check' | 'close' | 'code' | 'copy' | 'favorite' | 'leave' | 'publish' | 'settings' | 'share' | 'text' | 'visual' | 'bookmark' | 'bookmark2' | 'bookmarkoff' | 'bookmarkon' | 'plus' | 'pin' | 'mute';
declare type IColor = 'black' | 'white' | 'shuttleGrey' | 'none';
interface IIcon {
    type: IconType;
    onClick?: () => void;
    color?: IColor;
    size?: number;
    margin?: string;
    style?: CSSProperties;
}
export declare const Icon: FC<IIcon>;
export {};
