import * as React from 'react';
import { Box } from '@mui/material';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    outer: {
        width: '100%',
        flex: 1,
        display: 'flex',
        justifyContent: 'center',
    },
    inner: {
        maxWidth: 640,
        width: '100%',
    },
});
export var InstallableContainer = function (props) {
    var classes = useStyles();
    return (React.createElement(Box, { sx: classes.outer },
        React.createElement(Box, { sx: classes.inner, style: props.pad
                ? {
                    paddingLeft: 14,
                    paddingRight: 14,
                }
                : {} }, props.children)));
};
