import { IBoard, IBoardStyle } from '../types';
import React from 'react';
interface IInstallableMessagePreview {
    id: string;
    characters: IBoard;
    isFavorite?: boolean;
    author?: string;
    created?: string;
    boardStyle?: IBoardStyle;
    handleFavorite?: (isFavorite: boolean) => void;
    handleDuplicate?: () => void;
    onMessageSendError?: (error: string) => void;
    onMessageSendSuccess?: () => void;
}
export declare const InstallableMessagePreview: ({ id, boardStyle, characters, isFavorite, author, created, handleFavorite, handleDuplicate, onMessageSendError, onMessageSendSuccess, }: IInstallableMessagePreview) => React.JSX.Element;
export {};
