import { Box, CircularProgress } from '@mui/material';
import * as React from 'react';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    container: {
        position: 'fixed',
        top: 0,
        left: 0,
        width: '100vw',
        height: '100vh',
        background: 'rgba(0,0,0,0.75)',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        zIndex: 700,
    },
});
export var LoadMask = function () {
    var classes = useStyles();
    return (React.createElement(Box, { sx: classes.container },
        React.createElement(CircularProgress, null)));
};
