import { IBoard, IBoardStyle } from '../../types';
import { IMore } from './MoreButton';
import React from 'react';
interface IMessageCard {
    draggable?: boolean;
    messageId: string;
    messageAppearanceId?: string;
    sourceId: string;
    characters: IBoard;
    ariaMessageText?: string;
    boardStyle?: IBoardStyle;
    more?: IMore;
    onFavoritePress?: (message?: any) => void;
    onSourcePress?: (message?: any) => void;
    likeCount?: number;
    liked?: boolean;
    isFavorite?: boolean;
    sentAt?: string;
    source?: string;
    onSendPress?: () => void;
    onEditPress?: () => void;
    onDeletePress?: () => void;
    onSharePress?: () => void;
    onDuplicatePress?: () => void;
    singleButton?: boolean;
}
export declare const MessageCard: (props: IMessageCard) => React.JSX.Element;
export {};
