import { Box, ButtonBase, Typography } from '@mui/material';
import React from 'react';
import { colors } from '../../theme';
import { makeVestaboardStyles } from '../../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    button: {
        width: '100%',
    },
    container: {
        borderBottom: 'solid 1px #CCC',
        width: '100%',
        textAlign: 'left',
        padding: '8px 20px',
    },
    text: {
        color: colors.black,
    },
});
export var SlideUpMenuListItem = function (props) {
    var classes = useStyles();
    return (React.createElement(ButtonBase, { onClick: props.onClick, sx: classes.button },
        React.createElement(Box, { sx: classes.container },
            React.createElement(Typography, { sx: classes.text }, props.children))));
};
