import React from 'react';
import MaterialButton from '@mui/material/Button';
import { Theme } from './Theme';
import { colors } from '../theme';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles(function () { return ({
    button: {
        color: colors.white,
        textTransform: 'none',
    },
}); });
export var TextButton = function (props) {
    var classes = useStyles();
    return (React.createElement(Theme, null,
        React.createElement(MaterialButton, { disabled: props.disabled, size: "small", sx: classes.button, onClick: props.onClick, type: props.type }, props.children)));
};
