/// <reference types="react" />
interface IToastOptions {
    appearance: 'success' | 'error';
    autoDismiss?: boolean;
}
export interface IToastContext {
    addToast: (message: string, options: IToastOptions) => void;
    setToastOffset: (top: number) => void;
}
export declare const ToastContext: import("react").Context<IToastContext>;
export {};
