var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useState } from 'react';
import { Toast } from './Toast';
import { ToastContext } from './ToastContext';
export var ToastProvider = function (props) {
    var _a = useState([]), messages = _a[0], setMessages = _a[1];
    var _b = useState(props.offset), offset = _b[0], setOffset = _b[1];
    return (React.createElement(ToastContext.Provider, { value: {
            setToastOffset: setOffset,
            addToast: function (message, options) {
                setMessages([
                    __assign(__assign({}, options), { message: message }),
                ]);
                if (options.autoDismiss) {
                    setTimeout(function () {
                        setMessages([]);
                    }, 3000);
                }
            },
        } },
        messages.map(function (message, i) { return (React.createElement(Toast, { key: i, topOffset: offset || 0, message: message.message, open: true, severity: message.appearance, onClose: function () {
                setMessages([]);
            } })); }),
        props.children));
};
