import { typographyStyles } from './typographyStyles';
import Typography from '@mui/material/Typography';
import React from 'react';
export var Title = function (props) {
    var styles = typographyStyles.title(props);
    return (React.createElement(Typography, { variant: "h3", component: "h1", sx: styles }, props.children));
};
export var SubTitle = function (props) {
    var styles = typographyStyles.subTitle(props);
    return (React.createElement(Typography, { variant: "h3", component: "h2", sx: styles }, props.children));
};
export var SubTitle2 = function (props) {
    var styles = typographyStyles.subTitle2(props);
    return (React.createElement(Typography, { variant: "h3", component: "h2", sx: styles }, props.children));
};
export var Body = function (props) {
    var styles = typographyStyles.body(props);
    return React.createElement(Typography, { sx: styles }, props.children);
};
export var Medium = function (props) {
    var styles = typographyStyles.medium(props);
    return React.createElement(Typography, { sx: styles }, props.children);
};
export var MediumTruncated = function (props) {
    var styles = typographyStyles.mediumTruncated(props);
    return React.createElement(Typography, { sx: styles }, props.children);
};
export var Small = function (props) {
    var styles = typographyStyles.small(props);
    return React.createElement(Typography, { sx: styles }, props.children);
};
