/// <reference types="react" />
import { IconType } from '../Icon';
declare type ActionType = 'like' | 'share' | 'send' | 'duplicate' | 'remove' | 'report' | 'edit';
export interface IActionListItem {
    icon: IconType | JSX.Element;
    text?: string;
    ariaLabel: string;
    onClick: (message?: {
        messageId: string;
        messageAppearanceId?: string;
        sourceId: string;
    }) => void;
    actionType?: ActionType;
}
export {};
