import React from 'react';
export var usePopover = function () {
    var _a = React.useState(null), anchorEl = _a[0], setAnchorEl = _a[1];
    var handleClick = function (event) {
        anchorEl ? setAnchorEl(null) : setAnchorEl(event.currentTarget);
    };
    var onClose = function () {
        setAnchorEl(null);
    };
    var open = Boolean(anchorEl);
    return {
        open: open,
        anchorEl: anchorEl,
        handleClick: handleClick,
        onClose: onClose,
    };
};
