import { IBoard, IBoardStyle, IKeyCode } from '../../types';
import React from 'react';
import { Mode } from './WysiwygTypes';
interface IBoardView {
    value: IBoard;
    setValue?: (value: IBoard) => void;
    animated?: boolean;
    mode: Mode;
    color?: IKeyCode;
    boardStyle?: IBoardStyle;
    columns?: number;
    rows?: number;
}
export declare const Board: (props: IBoardView) => React.JSX.Element;
export {};
