import { Medium, Small, Spacer, SubTitle, Title } from '../';
import React from 'react';
import { colors } from '../../theme';
export default {
    title: 'Docs',
};
export var Introduction = function () { return (React.createElement(React.Fragment, null,
    React.createElement(Title, null, "Vestaboard Installables Components"),
    React.createElement(Spacer, { size: "medium" }),
    React.createElement(Medium, null, "This library is designed to allow you to easily work with our pre-built components to build out your installable."),
    React.createElement(Spacer, { size: "large" }),
    React.createElement(SubTitle, null, "Getting Started"),
    React.createElement(Spacer, { size: "medium" }),
    React.createElement(Medium, null, "Make sure you are running version 16+ of React and then run:"),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Small, null,
        React.createElement("pre", null,
            React.createElement("code", { style: {
                    color: colors.parisBlue,
                } }, "npm install @vestaboard/installables --save"))),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Medium, null, "or:"),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Small, null,
        React.createElement("pre", null,
            React.createElement("code", { style: {
                    color: colors.parisBlue,
                } }, "yarn add @vestaboard/installables --save"))),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Medium, null, "This library uses Material UI under the hood and requires the following dependencies:"),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Small, null,
        React.createElement("pre", null,
            React.createElement("code", { style: {
                    color: colors.parisBlue,
                } }, "{\n  \"peerDependencies\": {\n    \"@mui/icons-material\": \"^5.11.13\",\n    \"@mui/material\": \"^5.11.13\",\n    \"react\": \"^18.0.0\",\n    \"react-dom\": \"^18.0.0\"\n  }\n}"))),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Spacer, { size: "large" }),
    React.createElement(SubTitle, null, "Typescript"),
    React.createElement(Spacer, { size: "medium" }),
    React.createElement(Medium, null, "All components are fully typed and types are shipped with the library."))); };
