import React from 'react';
import { Body } from '../';
import { Box } from '@mui/material';
import { colors } from '../../theme';
var Colors = function (props) { return (React.createElement(Box, { display: 'flex', flexDirection: 'column', style: {
        backgroundColor: props.bgColor || undefined,
    } }, Object.keys(colors).map(function (color) { return (React.createElement(Box, { display: 'flex', alignItems: 'center' },
    React.createElement(Box, { style: {
            height: 50,
            width: 50,
            backgroundColor: colors[color],
            margin: 10,
        } }),
    React.createElement(Box, null,
        React.createElement(Body, { color: props.bgColor === 'white' ? colors.woodSmoke : undefined }, color),
        React.createElement(Body, { color: props.bgColor === 'white' ? colors.woodSmoke : undefined }, colors[color])))); }))); };
export default {
    title: 'Components/Colors',
    component: Colors,
};
export var Default = function () {
    return React.createElement(Colors, null);
};
export var WhiteBackground = function () {
    return React.createElement(Colors, { bgColor: "white" });
};
