import { FullModal, BoardEditor, createBoard, Button } from '../..';
import React, { useState } from 'react';
export default {
    title: 'Components/FullModal',
    component: FullModal,
};
export var Default = function () {
    var _a = useState(createBoard()), value = _a[0], setValue = _a[1];
    var _b = useState(false), isOpen = _b[0], setIsOpen = _b[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { buttonType: "white", onClick: function () {
                setIsOpen(true);
            } }, "Open Modal"),
        isOpen ? (React.createElement(FullModal, { onClose: function () {
                setIsOpen(false);
            } },
            React.createElement(BoardEditor, { boardValue: value, setBoardValue: setValue, onSend: function () {
                    setIsOpen(false);
                } }))) : null));
};
export var WithTitle = function () {
    var _a = useState(createBoard()), value = _a[0], setValue = _a[1];
    return (React.createElement(FullModal, { title: "Write a message!", onClose: function () { } },
        React.createElement(BoardEditor, { boardValue: value, setBoardValue: setValue, onSend: function () { } })));
};
