import { Icon, Small, icons } from '../';
import { Box } from '@mui/material';
import { FlexHorizontal } from '../Flex';
import React from 'react';
import { Spacer } from '../Spacer';
export default {
    title: 'Components/Icon',
    component: Icon,
};
var iconTypes = Object.keys(icons);
var RenderIcons = function (props) { return (React.createElement(FlexHorizontal, { flexWrap: "wrap" }, iconTypes.map(function (icon) { return (React.createElement(Box, { style: {
        padding: 10,
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'center',
        alignItems: 'center',
    } },
    React.createElement(Icon, { type: icon, color: props.color, size: props.size }),
    React.createElement(Spacer, { size: "small" }),
    React.createElement(Small, null, icon))); }))); };
export var Gray = function () { return React.createElement(RenderIcons, null); };
export var White = function () { return React.createElement(RenderIcons, { color: "white" }); };
export var Black = function () { return React.createElement(RenderIcons, { color: "black" }); };
export var SmallIcons = function () { return React.createElement(RenderIcons, { color: "white", size: 12 }); };
export var LargeICons = function () { return React.createElement(RenderIcons, { color: "white", size: 32 }); };
