import React from 'react';
import { LinearProgress } from '../';
export default {
    title: 'Components/LinearProgress',
    component: LinearProgress,
};
export var Default = function () {
    return React.createElement(LinearProgress, null);
};
export var WithLoadingValue = function () {
    var _a = React.useState(0), progress = _a[0], setProgress = _a[1];
    React.useEffect(function () {
        var timer = setInterval(function () {
            setProgress(function (oldProgress) {
                if (oldProgress === 100) {
                    return 0;
                }
                var diff = Math.random() * 10;
                return Math.min(oldProgress + diff, 100);
            });
        }, 500);
        return function () {
            clearInterval(timer);
        };
    }, []);
    return React.createElement(LinearProgress, { progress: progress });
};
