import { Button, encodeBoardCharacters } from '../../';
import React, { useState } from 'react';
import { MessagePicker } from '../MessagePicker';
export default {
    title: 'Components/MessagePicker',
    component: MessagePicker,
};
var Contructor = function (props) {
    var _a = useState(true), visible = _a[0], setVisible = _a[1];
    var _b = useState([]), selected = _b[0], setSelected = _b[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { buttonType: "white", onClick: function () {
                setVisible(function (visible) { return !visible; });
            } }, "Show"),
        React.createElement(MessagePicker, { noMessages: "You have no favorites", visible: visible, selected: selected, setSelected: setSelected, title: "Favorites", messages: props.messages, onCancel: function () {
                setVisible(false);
            }, onComplete: function () {
                setVisible(false);
            } })));
};
export var NoMessages = function () { return React.createElement(Contructor, { messages: [] }); };
export var OneMessage = function () { return (React.createElement(Contructor, { messages: [
        {
            id: '1',
            characters: encodeBoardCharacters('All you need is love'),
        },
    ] })); };
export var TwoMessages = function () { return (React.createElement(Contructor, { messages: [
        {
            id: '1',
            characters: encodeBoardCharacters('All you need is love'),
        },
        {
            id: '2',
            characters: encodeBoardCharacters('We all live in a yellow submarine'),
        },
    ] })); };
export var ThreeMessages = function () { return (React.createElement(Contructor, { messages: [
        {
            id: '1',
            characters: encodeBoardCharacters('All you need is love'),
        },
        {
            id: '2',
            characters: encodeBoardCharacters('We all live in a      yellow submarine'),
        },
        {
            id: '3',
            characters: encodeBoardCharacters('Strawberry fields     forever'),
        },
    ] })); };
export var FiveMessages = function () { return (React.createElement(Contructor, { messages: [
        {
            id: '1',
            characters: encodeBoardCharacters('All you need is love'),
        },
        {
            id: '2',
            characters: encodeBoardCharacters('We all live in a      yellow submarine'),
        },
        {
            id: '3',
            characters: encodeBoardCharacters('Strawberry fields     forever'),
        },
        {
            id: '4',
            characters: encodeBoardCharacters('I am the walrus'),
        },
        {
            id: '5',
            characters: encodeBoardCharacters('The walrus is paul'),
        },
    ] })); };
