import React, { useState } from 'react';
import { SendButton } from '../SendButton';
import { SlideUpMenu } from '../SlideUpMenu/SlideUpMenu';
import { Box } from '@mui/material';
import { Button } from '../Button';
import { SlideUpMenuList, SlideUpMenuListItem, SlideUpMenuTitle, } from '../SlideUpMenu';
import { Padding } from '../Padding';
export default {
    title: 'Components/SlideUpMenu',
    component: SendButton,
};
export var Default = function () {
    var _a = useState(true), show = _a[0], setShow = _a[1];
    return (React.createElement(Box, null,
        React.createElement(Button, { buttonType: "outline", onClick: function () {
                setShow(function (show) { return !show; });
            } },
            "Toggle ",
            show ? 'Off' : 'On'),
        React.createElement(SlideUpMenu, { visible: show, onClose: function () { return setShow(false); } },
            React.createElement(React.Fragment, null,
                React.createElement(SlideUpMenuTitle, null, "Import Message"),
                React.createElement(SlideUpMenuList, null,
                    React.createElement(SlideUpMenuListItem, { onClick: function () { } }, "Import CSV"),
                    React.createElement(SlideUpMenuListItem, { onClick: function () { } }, "Import Favorites"),
                    React.createElement(SlideUpMenuListItem, { onClick: function () { } }, "Guest Send")),
                React.createElement(Padding, null,
                    React.createElement(Button, { buttonType: "outlineBlack", onClick: function () { return setShow(false); } }, "Cancel"))))));
};
