import React from 'react';
import { PublicTimeSelect } from '../';
import { MultiTimeSelect } from '../';
export default {
    title: 'Components/TimeSelect',
    component: PublicTimeSelect,
};
export var Default = function () {
    return (React.createElement(PublicTimeSelect, { label: "Default Time", condenseOnMobile: true, disableLabelEdit: true, onChange: function () { return null; } }));
};
export var DefaultWithValue = function () {
    var _a = React.useState({
        hour: '11',
        minutes: '10',
        amPm: 'PM',
    }), time = _a[0], setTime = _a[1];
    return (React.createElement(PublicTimeSelect, { label: "Default Time", condenseOnMobile: true, disableLabelEdit: true, onChange: setTime, value: time }));
};
export var WithLabelEditing = function () {
    var _a = React.useState('You can change me'), label = _a[0], setLabel = _a[1];
    return (React.createElement(PublicTimeSelect, { label: label, setLabel: setLabel, onChange: function () { return null; } }));
};
export var MultipleTimeSelect = function () {
    var _a = React.useState([]), exampleTimes = _a[0], setExampleTimes = _a[1];
    return (React.createElement(MultiTimeSelect, { value: exampleTimes, onChange: setExampleTimes, maxTimes: 5 }));
};
export var MultipleTimeSelectWithDefaultTimes = function () {
    var _a = React.useState([
        {
            index: 0,
            time: {
                hour: '12',
                minutes: '00',
                amPm: 'AM',
            },
            label: 'Time 1',
        },
        {
            index: 1,
            time: {
                hour: '01',
                minutes: '00',
                amPm: 'AM',
            },
            label: 'Time 2',
        },
        {
            index: 2,
            time: {
                hour: '02',
                minutes: '00',
                amPm: 'AM',
            },
            label: 'Time 3',
        },
    ]), exampleTimes = _a[0], setExampleTimes = _a[1];
    return (React.createElement(MultiTimeSelect, { onChange: setExampleTimes, maxTimes: 5, value: exampleTimes }));
};
