import { colors, fontFamily } from '../theme';
export var typographyStyles = {
    title: function (props) { return ({
        color: props.color || colors.white,
        fontSize: 30,
        fontWeight: props.fontWeight || 600,
        fontFamily: fontFamily.default,
    }); },
    subTitle: function (props) {
        return {
            color: props.color || colors.white,
            fontSize: 24,
            fontWeight: props.fontWeight || 600,
            fontFamily: fontFamily.default,
        };
    },
    subTitle2: function (props) { return ({
        color: props.color || colors.white,
        fontSize: 20,
        fontWeight: props.fontWeight || 600,
        fontFamily: fontFamily.default,
    }); },
    body: function (props) { return ({
        color: props.color || colors.white,
        fontSize: 16,
        fontFamily: fontFamily.default,
        fontWeight: props.fontWeight || undefined,
    }); },
    medium: function (props) { return ({
        color: props.color || colors.nevada,
        fontSize: 16,
        fontWeight: props.fontWeight || undefined,
        fontFamily: fontFamily.default,
    }); },
    mediumTruncated: function (props) { return ({
        color: props.color || colors.nevada,
        fontSize: 16,
        fontFamily: fontFamily.default,
        fontWeight: props.fontWeight || undefined,
        whiteSpace: 'nowrap',
        maxWidth: props.maxWidth,
        overflow: 'hidden',
        textOverflow: 'ellipsis',
    }); },
    small: function (props) { return ({
        color: props.color || colors.nevada,
        fontSize: 12,
        fontFamily: fontFamily.default,
        fontWeight: props.fontWeight || undefined,
    }); },
};
