import { StringParam, useQueryParam } from 'use-query-params';
import * as React from 'react';
export var useVestaboardQueryParams = function () {
    var subscriptionId = useQueryParam('subscription_id', StringParam)[0];
    var _a = useQueryParam('subscription_configuration_token', StringParam), subscriptionConfigToken = _a[0], setSubscriptionConfigToken = _a[1];
    var _b = useQueryParam('platform', StringParam), platform = _b[0], setPlatform = _b[1];
    React.useEffect(function () {
        if (window.location.href.indexOf('callback') > -1) {
            return;
        }
        var localStoragePlatform = localStorage.getItem('vb:platform');
        if (localStoragePlatform && !platform) {
            setPlatform(localStoragePlatform);
            window.location.reload();
        }
        if (platform && !localStoragePlatform) {
            localStorage.setItem('vb:platform', platform);
        }
    }, [platform]);
    React.useEffect(function () {
        if (window.location.href.indexOf('callback') > -1) {
            return;
        }
        var localStorageSubscriptionConfigToken = localStorage.getItem("vb:subscriptionConfigToken:".concat(subscriptionId));
        if (localStorageSubscriptionConfigToken && !platform) {
            setSubscriptionConfigToken(localStorageSubscriptionConfigToken);
            window.location.reload();
        }
        if (subscriptionConfigToken && !localStorageSubscriptionConfigToken) {
            localStorage.setItem("vb:subscriptionConfigToken:".concat(subscriptionId), subscriptionConfigToken);
        }
    }, [subscriptionConfigToken]);
    return {
        subscriptionId: subscriptionId,
        subscriptionConfigToken: subscriptionConfigToken,
        platform: platform,
    };
};
