var aKey = {
    shiftKey: true,
    keyCode: 65,
};
var bKey = {
    shiftKey: true,
    keyCode: 66,
};
var cKey = {
    shiftKey: true,
    keyCode: 67,
};
var dKey = {
    shiftKey: true,
    keyCode: 68,
};
var eKey = {
    shiftKey: true,
    keyCode: 69,
};
var iKey = {
    shiftKey: true,
    keyCode: 73,
};
var nKey = {
    shiftKey: true,
    keyCode: 78,
};
var oKey = {
    shiftKey: true,
    keyCode: 79,
};
var uKey = {
    shiftKey: true,
    keyCode: 85,
};
var yKey = {
    shiftKey: true,
    keyCode: 89,
};
var questionKey = {
    shiftKey: true,
    keyCode: 191,
};
var exclamationKey = {
    shiftKey: true,
    keyCode: 49,
};
var specialKeys = {
    À: aKey,
    Á: aKey,
    Â: aKey,
    Ã: aKey,
    Ä: aKey,
    Å: aKey,
    Æ: aKey,
    à: aKey,
    á: aKey,
    â: aKey,
    ã: aKey,
    ä: aKey,
    å: aKey,
    æ: aKey,
    ß: bKey,
    œ: cKey,
    Œ: cKey,
    ç: cKey,
    Ç: cKey,
    Ð: dKey,
    è: eKey,
    È: eKey,
    é: eKey,
    É: eKey,
    ê: eKey,
    Ê: eKey,
    ë: eKey,
    Ë: eKey,
    ì: iKey,
    Ì: iKey,
    í: iKey,
    Í: iKey,
    î: iKey,
    ï: iKey,
    Ï: iKey,
    ñ: nKey,
    Ñ: nKey,
    ò: oKey,
    Ò: oKey,
    ó: oKey,
    Ó: oKey,
    ô: oKey,
    Ô: oKey,
    õ: oKey,
    Õ: oKey,
    ö: oKey,
    Ö: oKey,
    ø: oKey,
    Ø: oKey,
    ð: oKey,
    ù: uKey,
    Ù: uKey,
    ú: uKey,
    Ú: uKey,
    û: uKey,
    Û: uKey,
    ü: uKey,
    Ü: uKey,
    ý: yKey,
    Ý: yKey,
    ÿ: yKey,
    Ÿ: yKey,
    '¿': questionKey,
    '¡': exclamationKey,
};
export var getInternationalKey = function (e) {
    if (specialKeys[e.key]) {
        return specialKeys[e.key];
    }
    return undefined;
};
