var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { leftPad } from './leftPad';
export var parseHourMinutes = function (input) {
    var minutes = "".concat(input.substr(2, 1) || '0').concat(input.substr(3, 1) || '0');
    var hoursMilitary = "".concat(input.substr(0, 1) || '0').concat(input.substr(1, 1) || '0');
    return {
        hoursMilitary: hoursMilitary,
        minutes: minutes,
    };
};
export var getFormattedTime = function (input) {
    var _a = parseHourMinutes(input), minutes = _a.minutes, hoursMilitary = _a.hoursMilitary;
    var hour = parseInt(hoursMilitary, 10) > 12
        ? leftPad(parseInt(hoursMilitary, 10) - 12)
        : hoursMilitary;
    var amPm = parseInt(hoursMilitary, 10) === 24
        ? 'AM'
        : parseInt(hoursMilitary, 10) === 12
            ? 'PM'
            : parseInt(hoursMilitary, 10) > 12
                ? 'PM'
                : 'AM';
    return {
        minutes: minutes,
        hour: hour,
        amPm: amPm,
    };
};
export var HOURS = [
    '01',
    '02',
    '03',
    '04',
    '05',
    '06',
    '07',
    '08',
    '09',
    '10',
    '11',
    '12',
];
export var HOURS_MILITARY = __spreadArray(__spreadArray([
    '00'
], HOURS, true), [
    '13',
    '14',
    '15',
    '16',
    '17',
    '18',
    '19',
    '20',
    '21',
    '22',
    '23',
], false);
export var MINUTES = [
    '00',
    '01',
    '02',
    '03',
    '04',
    '05',
    '06',
    '07',
    '08',
    '09',
    '10',
    '11',
    '12',
    '13',
    '14',
    '15',
    '16',
    '17',
    '18',
    '19',
    '20',
    '21',
    '22',
    '23',
    '24',
    '25',
    '26',
    '27',
    '28',
    '29',
    '30',
    '31',
    '32',
    '33',
    '34',
    '35',
    '36',
    '37',
    '38',
    '39',
    '40',
    '41',
    '42',
    '43',
    '44',
    '45',
    '46',
    '47',
    '48',
    '49',
    '50',
    '51',
    '52',
    '53',
    '54',
    '55',
    '56',
    '57',
    '58',
    '59',
];
