import { FC } from 'react';
interface IAsyncMultiSelect {
    descriptionKeyName: string;
    disabled?: boolean;
    disableCloseOnSelect?: boolean;
    fullWidth?: boolean;
    filterSelectedOptions?: boolean;
    label: string;
    labelKeyName?: string;
    loading: boolean;
    loadingText?: string;
    onInputChange: (input: string) => void;
    onOptionSelect: (value: MultiSelectOption[]) => void;
    defaultSelectedOptions?: MultiSelectOption[];
    maxOptions?: number;
    options: MultiSelectOption[];
    placeholder: string;
    textColor?: string;
    filterLocally?: boolean;
    sortLocally?: boolean;
}
export declare type MultiSelectOption = {
    label: string;
    id?: string;
    description?: string;
    [key: string]: any;
};
export declare const AsyncMultiSelect: FC<IAsyncMultiSelect>;
export {};
