import React from 'react';
import ArrowBackIosIcon from '@mui/icons-material/ArrowBackIos';
import CloseIcon from '@mui/icons-material/Close';
import IconButton from '@mui/material/IconButton';
import { colors } from '../theme';
export var BackButton = function (props) {
    return (React.createElement(IconButton, { disabled: props.disabled, onClick: props.onClick }, props.close ? (React.createElement(CloseIcon, { style: { color: colors.white } })) : (React.createElement(ArrowBackIosIcon, { style: { color: colors.white } }))));
};
