import React from 'react';
import { IGalleryBoard } from './types';
interface IBoardGalleryV2 {
    currentPage: number;
    setPage: (page: number) => void;
    boards: Array<IGalleryBoard>;
    enableSettingsActions?: boolean;
    handleRename?: () => void;
    handleLeave?: () => void;
    handlePublish?: () => void;
    handleSettings?: () => void;
    handleCopy?: () => void;
    handleShare?: () => void;
    handleFavorite?: (message: any) => void;
    handleDuplicate?: () => void;
    handleDelete?: () => void;
    handleMuted?: () => void;
    onSendPress?: () => void;
    onEditPress?: () => void;
}
export declare const BoardGalleryV2: (props: IBoardGalleryV2) => React.JSX.Element;
export {};
