import * as React from 'react';
import { IBoardColor, IBoard as IMessage, IBoardStyle } from '../../types';
interface IBoard {
    characters: IMessage;
    children?: string | Array<string>;
    leftOffset?: number;
    topOffset?: number;
    borderColor?: IBoardColor;
    mask?: string;
    handleFavorite?: () => void;
    isFavorite?: boolean;
    boardStyle?: IBoardStyle;
}
export declare const Board: (props: IBoard) => React.JSX.Element;
export {};
