import React from 'react';
import { IBoard } from '../types';
interface IBoardPreviewMask {
    boardId?: string;
    children: React.ReactNode;
    isDraft?: boolean;
    disabled?: Boolean;
    topRightAction?: React.ReactNode;
    handleSend?: () => void;
    handleDiscard?: () => void;
    handleDelete?: () => void;
    handleEdit?: () => void;
    handleShare?: () => void;
    handleDuplicateTitle?: string;
    handleDuplicate?: () => void;
    handlePin?: () => void;
    handleFavorite?: () => void;
    isPinned?: boolean;
    hourValue?: string;
    onHourValueChange?: (hourValue: string) => void;
    minuteValue?: string;
    onMinuteValueChange?: (minuteValue: string) => void;
    secondValue?: string;
    onSecondValueChange?: (secondValue: string) => void;
    characters?: IBoard;
    isFavorite?: boolean;
    defaultShowMask?: boolean;
}
export declare const BoardPreviewMask: (props: IBoardPreviewMask) => React.JSX.Element;
export {};
