import FormControlLabel from '@mui/material/FormControlLabel';
import MaterialCheckbox from '@mui/material/Checkbox';
import React from 'react';
import { Theme } from './Theme';
import { colors } from '../theme';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles(function () { return ({
    label: {
        color: colors.white,
    },
    checkbox: {
        color: colors.nevada,
    },
}); });
export var CheckBox = function (props) {
    var classes = useStyles();
    return (React.createElement(Theme, null,
        React.createElement(FormControlLabel, { control: React.createElement(MaterialCheckbox, { disabled: props.disabled, sx: classes.checkbox, checked: props.checked, onChange: function () { return props.onValueChange(!props.checked); } }), label: props.label, sx: classes.label })));
};
