var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { Divider as MuiDivider } from '@mui/material';
import { colors } from '../theme';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    root: {
        background: colors.nevada,
    },
    light: {
        backgroundColor: colors.alto,
    },
});
export var Divider = function (props) {
    var classes = useStyles();
    return (React.createElement(MuiDivider, { absolute: props.absolute || false, flexItem: props.flex || false, light: props.light || false, orientation: props.orientation || 'horizontal', variant: props.variant || 'fullWidth', sx: __assign(__assign({}, classes.root), (props.light && classes.light)) }));
};
