import React from 'react';
import { makeVestaboardStyles } from '../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles(function (props) { return ({
    flexHorizontal: {
        display: 'flex',
        flexWrap: props.flexWrap,
        justifyContent: props.center
            ? 'center'
            : props.spaceBetween
                ? 'space-between'
                : 'flex-start',
    },
    flexVertical: {
        display: 'flex',
        flexDirection: 'column',
        flexWrap: props.flexWrap,
        justifyContent: props.center
            ? 'center'
            : props.spaceBetween
                ? 'space-between'
                : 'flex-start',
    },
}); });
export var FlexHorizontal = function (props) {
    var classes = useStyles(props);
    return (React.createElement("div", { style: classes.flexHorizontal }, props.children));
};
export var FlexVertical = function (props) {
    var classes = useStyles(props);
    return (React.createElement("div", { style: classes.flexVertical }, props.children));
};
