import { IBoard, IBoardStyle } from '../types';
import React from 'react';
interface IInstallableMessagesListMessage {
    id: string;
    characters: IBoard;
    author?: string;
    created?: string;
}
interface IInstallableMessagesList {
    pageSize?: number;
    boardStyle?: IBoardStyle;
    messages: IInstallableMessagesListMessage[];
}
export declare const InstallableMessagesList: ({ boardStyle, messages, }: IInstallableMessagesList) => React.JSX.Element;
export {};
