import React from 'react';
import { IBoard } from '../types';
interface IMessage {
    characters: IBoard;
    id: string;
}
interface IMessagePicker {
    title: string;
    visible: boolean;
    onCancel: () => void;
    onComplete: () => void;
    messages: IMessage[];
    selected: string[];
    setSelected: (selected: string[]) => void;
    noMessages: string;
}
export declare const MessagePicker: (props: IMessagePicker) => React.JSX.Element;
export {};
