import React from 'react';
interface IScheduleMessage {
    scheduledMessage?: {
        text: string;
        sendAtFormatted: string;
        onCancelScheduledMessage: () => void;
    };
    onSend: (hours: number, minutes: number, seconds: number) => void;
    onCancel: () => void;
    onClose?: () => void;
    visible: boolean;
}
export declare const ScheduleMessage: (props: IScheduleMessage) => React.JSX.Element;
export {};
