import { FC } from 'react';
interface IOption {
    id: string;
    name: string;
}
interface ISelect {
    value: string;
    onValueChange: (value: string) => void;
    label?: string;
    error?: string;
    options: Array<IOption>;
    disabled?: boolean;
    displayNone?: boolean;
}
export declare const Select: FC<ISelect>;
export {};
