import { Typography } from '@mui/material';
import React from 'react';
import { colors } from '../../theme';
import { makeVestaboardStyles } from '../../hooks/useVestaboardStyles';
var useStyles = makeVestaboardStyles({
    title: {
        fontWeight: 'bold',
        padding: '20px',
        color: colors.black,
    },
});
export var SlideUpMenuTitle = function (props) {
    var classes = useStyles();
    return React.createElement(Typography, { sx: classes.title }, props.children);
};
