import * as React from 'react';
import { IKeyCode } from '../types';
export declare type ISwatchValue = IKeyCode | 'rainbow';
export declare type ISetSwatchValue = (value: ISwatchValue) => void;
interface ISwatchPicker {
    value: ISwatchValue;
    setValue: ISetSwatchValue;
    endPaintMode: () => void;
    isPaintMode: boolean;
    showFilledColor?: boolean;
    hideEditTools?: boolean;
    rainbowSwatch?: boolean;
    spaceEvenly?: boolean;
}
export declare const SwatchPicker: (props: ISwatchPicker) => React.JSX.Element;
export {};
