import * as React from 'react';
interface IToggleOption {
    key: string;
    value: string;
}
interface IToggleButton {
    options: IToggleOption[];
    onToggle: (value: string) => void;
    value: string | null;
    disabled?: boolean;
    condenseOnMobile?: boolean;
}
export declare const ToggleButton: (props: IToggleButton) => React.JSX.Element;
export {};
