import React from 'react';
import { IBoard, IBoardStyle } from '../../types';
import { IActionListItem } from './actions';
interface IVestaboardPreview {
    messageId: string;
    messageAppearanceId?: string;
    sourceId: string;
    characters: IBoard;
    ariaMessageText?: string;
    boardStyle?: IBoardStyle;
    popoverActions?: Array<IActionListItem>;
    onFavoritePress?: (message?: any) => void;
    onSourcePress?: (message?: any) => void;
    likeCount?: number;
    liked?: boolean;
    isFavorite?: boolean;
    sentAt?: string;
    source?: string;
    bottomActions: Array<IActionListItem>;
}
export declare const VestaboardPreview: (props: IVestaboardPreview) => React.JSX.Element;
export {};
