import React from 'react';
import { IBoardStyle } from '../../types';
import { Mode } from './WysiwygTypes';
export interface IBitOptions {
    bitKey: number;
    rowKey: number;
    keyCode: number;
    shiftKey: boolean;
}
interface IBit {
    code: number;
    bitKey: number;
    rowKey: number;
    animated?: boolean;
    disabled?: boolean;
    mode: Mode;
    boardStyle?: IBoardStyle;
    onKeyPress: (options: IBitOptions) => void;
    startPainting: () => void;
    onPaint: () => void;
}
export declare const Bit: (props: IBit) => React.JSX.Element;
export {};
