export var setBitValue = function (_a) {
    var value = _a.value, setValue = _a.setValue;
    return function (rowKey, bitKey, keyCode) {
        if (!setValue) {
            return;
        }
        setValue(value.map(function (row, rowIndex) {
            if (rowIndex === rowKey) {
                return row.map(function (bit, bitIndex) {
                    if (bitIndex === bitKey) {
                        return keyCode;
                    }
                    return bit;
                });
            }
            return row;
        }));
    };
};
