import * as React from 'react';
import { IBoard, IBoardStyle, IKeyCode } from '../../types';
import { Mode } from './WysiwygTypes';
interface IWysiwygEditor {
    value: IBoard;
    setValue?: (value: IBoard) => void;
    animated?: boolean;
    mode: Mode;
    color?: IKeyCode;
    boardStyle?: IBoardStyle;
    columns?: number;
    rows?: number;
}
export declare const WysiwygEditor: (props: IWysiwygEditor) => React.JSX.Element;
export {};
