import { ActionButton, BackButton, Button, FlexHorizontal, Input, Medium, Select, Small, Spacer, Title, } from '../';
import React, { useState } from 'react';
var SetupChannel = function () {
    var _a = useState('2020-12-24'), endDate = _a[0], setEndDate = _a[1];
    var _b = useState('week'), repeat = _b[0], setRepeat = _b[1];
    var _c = useState(''), title = _c[0], setTitle = _c[1];
    var _d = useState(''), description = _d[0], setDescription = _d[1];
    var _e = useState('never'), endsOn = _e[0], setEndsOn = _e[1];
    var _f = useState('now'), starting = _f[0], setStarting = _f[1];
    var _g = useState('1'), occurrences = _g[0], setOccurrences = _g[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Spacer, { size: "large" }),
        React.createElement(BackButton, { onClick: function () { } }),
        React.createElement(Spacer, { size: "large" }),
        React.createElement(Title, null, "Setup Channel"),
        React.createElement(Spacer, { size: "medium" }),
        React.createElement(Medium, null, "Setup the channel schedule"),
        React.createElement(Spacer, { size: "large" }),
        React.createElement(Input, { value: title, onValueChange: setTitle, label: "Title" }),
        React.createElement(Spacer, { size: "medium" }),
        React.createElement(Input, { value: description, onValueChange: setDescription, label: "Description", multiline: true }),
        React.createElement(Spacer, { size: "medium" }),
        React.createElement(Select, { options: [
                {
                    id: 'day',
                    name: 'Day',
                },
                {
                    id: 'week',
                    name: 'Week',
                },
                {
                    id: 'month',
                    name: 'Month',
                },
                {
                    id: 'year',
                    name: 'Year',
                },
            ], value: repeat, onValueChange: setRepeat, label: "Repeat Every" }),
        React.createElement(Spacer, { size: "medium" }),
        React.createElement(Select, { options: [
                {
                    id: 'now',
                    name: 'Now',
                },
                {
                    id: 'tomorrow',
                    name: 'Tomorrow',
                },
                {
                    id: 'nextWeek',
                    name: 'Next Week',
                },
            ], value: starting, onValueChange: setStarting, label: "Starting" }),
        React.createElement(Spacer, { size: "medium" }),
        React.createElement(Small, null, "Ends"),
        React.createElement(Spacer, { size: "small" }),
        React.createElement(FlexHorizontal, null,
            React.createElement(ActionButton, { buttonType: endsOn === 'never' ? 'primary' : 'default', onClick: function () {
                    setEndsOn('never');
                } }, "Never"),
            React.createElement(Spacer, { size: "small", horizontal: true }),
            React.createElement(ActionButton, { buttonType: endsOn === 'onDate' ? 'primary' : 'default', onClick: function () {
                    setEndsOn('onDate');
                } }, "On Date"),
            React.createElement(Spacer, { size: "small", horizontal: true }),
            React.createElement(ActionButton, { buttonType: endsOn === 'afterOccurrences' ? 'primary' : 'default', onClick: function () {
                    setEndsOn('afterOccurrences');
                } }, "After Occurrences")),
        endsOn === 'onDate' && (React.createElement(React.Fragment, null,
            React.createElement(Spacer, { size: "medium" }),
            React.createElement(Input, { value: endDate, onValueChange: setEndDate, label: "End Date", type: "date" }))),
        endsOn === 'afterOccurrences' && (React.createElement(React.Fragment, null,
            React.createElement(Spacer, { size: "medium" }),
            React.createElement(Select, { options: [
                    {
                        id: '1',
                        name: '1',
                    },
                    {
                        id: '2',
                        name: '2',
                    },
                    {
                        id: '3',
                        name: '3',
                    },
                ], value: occurrences, onValueChange: setOccurrences, label: "Occurrences" }))),
        React.createElement(Spacer, { size: "extraLarge" }),
        React.createElement(Button, { buttonType: "white", onClick: function () { } }, "Next"),
        React.createElement("div", { style: { flex: 1 } }),
        React.createElement(Spacer, { size: "large" })));
};
export default {
    title: 'Examples/SetupChannel',
    component: SetupChannel,
};
export var Default = function () { return React.createElement(SetupChannel, null); };
