var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { MessageCard } from '..';
import React from 'react';
export default {
    title: 'Components/MessageCard',
    component: MessageCard,
};
var characters = [
    [
        1,
        2,
        3,
        4,
        5,
        6,
        7,
        8,
        9,
        10,
        11,
        12,
        13,
        14,
        15,
        16,
        17,
        18,
        19,
        20,
        21,
        22,
    ],
    [
        23,
        24,
        25,
        26,
        37,
        38,
        39,
        40,
        54,
        47,
        41,
        42,
        44,
        46,
        48,
        49,
        50,
        52,
        53,
        55,
        56,
        59,
    ],
    [
        60,
        27,
        28,
        29,
        30,
        31,
        32,
        33,
        34,
        35,
        36,
        0,
        69,
        63,
        64,
        65,
        66,
        67,
        68,
        70,
        0,
        0,
    ],
    [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    [27, 29, 28, 0, 2, 9, 20, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    [32, 30, 0, 3, 8, 1, 18, 1, 3, 20, 5, 18, 19, 0, 59, 0, 2, 9, 20, 0, 0, 0],
];
var ids = {
    messageId: '123',
    sourceId: '456',
    messageAppearanceId: 'message-a-123',
};
export var Default = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(MessageCard, __assign({}, ids, { characters: characters, boardStyle: "black", source: 'Anonymous', sentAt: "Yesterday", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, onSendPress: function () { }, onEditPress: function () { }, onDeletePress: function () { }, more: {
            onDeletePress: function () { },
            onPinPress: function () { },
            onDuplicatePress: function () { },
        } })));
};
export var Draggable = function () {
    return (React.createElement(MessageCard, __assign({}, ids, { draggable: true, characters: characters, boardStyle: "black", source: 'Anonymous', sentAt: "Yesterday", onSendPress: function () { }, onEditPress: function () { }, onDeletePress: function () { }, more: {
            onDeletePress: function () { },
            onPinPress: function () { },
            onDuplicatePress: function () { },
        } })));
};
export var White = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(MessageCard, __assign({}, ids, { characters: characters, boardStyle: "white", source: 'Anonymous', sentAt: "Yesterday", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, onSendPress: function () { }, onEditPress: function () { }, onDeletePress: function () { }, more: {
            onDuplicatePress: function () { },
        } })));
};
export var WithShare = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(MessageCard, __assign({}, ids, { characters: characters, boardStyle: "black", source: 'Anonymous', sentAt: "Yesterday", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, onSendPress: function () { }, onSharePress: function () { }, onDuplicatePress: function () { }, more: {
            onPinPress: function () { },
        } })));
};
