var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { Button, ModalDialog, Spacer, SubTitle2 } from '../../';
import React, { useCallback, useState } from 'react';
import { WifiTethering } from '@mui/icons-material';
import { SelectMenu } from '../SelectMenu';
export default {
    title: 'Components/ModalDialog',
    component: ModalDialog,
};
export var Default = function () {
    var _a = useState(true), visible = _a[0], setVisible = _a[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { onClick: function () { return setVisible(true); } }, "Show DialogModal"),
        React.createElement(ModalDialog, { visible: visible, onClose: function () { return setVisible(false); }, header: React.createElement(React.Fragment, null,
                React.createElement(WifiTethering, { style: { color: '#ffffff' } }),
                React.createElement(Spacer, null),
                React.createElement(SubTitle2, null, "This is the header text")), footer: React.createElement(React.Fragment, null,
                React.createElement(Button, { buttonType: "outline", onClick: function () { } }, "Cancel"),
                React.createElement(Button, { buttonType: "white", onClick: function () { } }, "Yes")) },
            React.createElement(SubTitle2, null, "Hello World"))));
};
export var Mobile = function () {
    var _a = useState(true), visible = _a[0], setVisible = _a[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { onClick: function () { return setVisible(true); } }, "Show DialogModal"),
        React.createElement(ModalDialog, { fullScreenMobile: true, visible: visible, onClose: function () { return setVisible(false); }, header: React.createElement(React.Fragment, null,
                React.createElement(WifiTethering, { style: { color: '#ffffff' } }),
                React.createElement(Spacer, null),
                React.createElement(SubTitle2, null, "This is the header text")), footer: React.createElement(React.Fragment, null,
                React.createElement(Button, { buttonType: "outline", onClick: function () { } }, "Cancel"),
                React.createElement(Button, { buttonType: "white", onClick: function () { } }, "Broadcast Now")) },
            React.createElement(SubTitle2, null, "Hello World"))));
};
var options = [
    {
        id: 'one',
        name: 'one',
    },
    {
        id: 'two',
        name: 'two',
    },
    {
        id: 'three',
        name: 'three',
    },
    {
        id: 'four',
        name: 'four',
    },
    {
        id: 'five',
        name: 'five',
    },
    {
        id: 'six',
        name: 'six',
    },
    {
        id: 'seven',
        name: 'seven',
    },
];
export var LongContent = function () {
    var _a = useState(true), visible = _a[0], setVisible = _a[1];
    var _b = useState([]), selected = _b[0], setSelected = _b[1];
    // multi select
    var onPress = useCallback(function (selectedId) {
        if (selected.includes(selectedId)) {
            var removedArray = selected.filter(function (id) { return id !== selectedId; });
            setSelected(__spreadArray([], removedArray, true));
        }
        else {
            setSelected(__spreadArray(__spreadArray([], selected, true), [selectedId], false));
        }
    }, [selected]);
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { onClick: function () { return setVisible(true); } }, "Show DialogModal"),
        React.createElement(ModalDialog, { fullScreenMobile: true, visible: visible, onClose: function () { return setVisible(false); }, header: React.createElement(React.Fragment, null,
                React.createElement(WifiTethering, { style: { color: '#ffffff' } }),
                React.createElement(Spacer, null),
                React.createElement(SubTitle2, null, "This is the header text")), footer: React.createElement(React.Fragment, null,
                React.createElement(Button, { buttonType: "outline", onClick: function () {
                        setVisible(false);
                    } }, "Cancel"),
                React.createElement(Button, { buttonType: "white", onClick: function () { } }, "Broadcast Now")) },
            React.createElement(SelectMenu, { options: options, onPress: onPress, selected: selected, selectAll: function () { return setSelected(options.map(function (opt) { return opt.id; })); }, clear: function () { return setSelected([]); } }))));
};
