var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import React, { useState } from 'react';
import { RadioButtons } from '../';
export default {
    title: 'Components/RadioButtons',
    component: RadioButtons,
};
var options = [
    {
        id: 'day',
        name: 'Day',
    },
    {
        id: 'week',
        name: 'Week',
    },
    {
        id: 'month',
        name: 'Month',
    },
    {
        id: 'year',
        name: 'Year',
    },
];
export var Default = function () {
    var _a = useState(null), value = _a[0], setValue = _a[1];
    return (React.createElement(RadioButtons, { options: options, value: value, onValueChange: setValue }));
};
export var Disabled = function () {
    var _a = useState(null), value = _a[0], setValue = _a[1];
    return (React.createElement(RadioButtons, { options: __spreadArray(__spreadArray([], options, true), [{ id: 'century', name: 'Century', disabled: true }], false), value: value, onValueChange: setValue }));
};
