import React, { useState } from 'react';
import { Select } from '../';
export default {
    title: 'Components/Select',
    component: Select,
};
var options = [
    {
        id: 'day',
        name: 'Day',
    },
    {
        id: 'week',
        name: 'Week',
    },
    {
        id: 'month',
        name: 'Month',
    },
    {
        id: 'year',
        name: 'Year',
    },
];
export var Default = function () {
    var _a = useState(''), value = _a[0], setValue = _a[1];
    return (React.createElement(Select, { displayNone: true, options: options, value: value, onValueChange: setValue, label: "Repeat Every" }));
};
export var Selected = function () {
    var _a = useState('week'), value = _a[0], setValue = _a[1];
    return (React.createElement(Select, { displayNone: true, options: options, value: value, onValueChange: setValue, label: "Repeat Every" }));
};
export var Error = function () {
    var _a = useState(''), value = _a[0], setValue = _a[1];
    return (React.createElement(Select, { displayNone: true, options: options, value: value, onValueChange: setValue, label: "Repeat Every", error: "Invalid option" }));
};
export var Disabled = function () {
    var _a = useState(''), value = _a[0], setValue = _a[1];
    return (React.createElement(Select, { displayNone: true, disabled: true, options: options, value: value, onValueChange: setValue, label: "Disabled" }));
};
