var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import React, { useCallback, useState } from 'react';
import { SelectMenu } from '../SelectMenu';
export default {
    title: 'Components/SelectMenu',
    component: SelectMenu,
};
var options = [
    {
        id: 'one',
        name: 'one',
    },
    {
        id: 'two',
        name: 'two',
    },
    {
        id: 'three',
        name: 'three',
    },
    {
        id: 'four',
        name: 'four',
    },
];
export var Default = function () {
    var _a = useState([]), selected = _a[0], setSelected = _a[1];
    // multi select
    var onPress = useCallback(function (selectedId) {
        if (selected.includes(selectedId)) {
            var removedArray = selected.filter(function (id) { return id !== selectedId; });
            setSelected(__spreadArray([], removedArray, true));
        }
        else {
            setSelected(__spreadArray(__spreadArray([], selected, true), [selectedId], false));
        }
    }, [selected]);
    return (React.createElement(SelectMenu, { options: options, onPress: onPress, selected: selected, selectAll: function () { return setSelected(options.map(function (opt) { return opt.id; })); }, clear: function () { return setSelected([]); } }));
};
export var SingleSelect = function () {
    var _a = useState(['one']), selected = _a[0], setSelected = _a[1];
    // multi select
    var onPress = useCallback(function (selectedId) {
        if (selected.includes(selectedId)) {
            var removedArray = selected.filter(function (id) { return id !== selectedId; });
            setSelected(__spreadArray([], removedArray, true));
        }
        else {
            setSelected([selectedId]);
        }
    }, [selected]);
    return React.createElement(SelectMenu, { options: options, onPress: onPress, selected: selected });
};
