var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { DeleteForever, Report, ThumbUp, ThumbUpOutlined, } from '@mui/icons-material';
import { VestaboardPreview } from '../';
import React from 'react';
import { colors } from '../../theme';
import { encodeBoardCharacters } from '../../utils';
export default {
    title: 'Components/VestaboardPreview [Deprecated]',
    component: VestaboardPreview,
};
var LikeIcon = function (props) {
    return props.liked ? (React.createElement("div", { style: {
            color: props.boardStyle === 'white' ? colors.black : colors.shuttleGray,
        } },
        React.createElement(ThumbUp, { fontSize: "small", color: 'inherit' }))) : (React.createElement("div", { style: {
            color: props.boardStyle === 'white' ? colors.black : colors.shuttleGray,
        } },
        React.createElement(ThumbUpOutlined, { fontSize: "small", color: 'inherit' })));
};
var ids = {
    messageId: '123',
    sourceId: '456',
    messageAppearanceId: 'message-a-123',
};
export var Default = function () {
    var _a = React.useState(false), liked = _a[0], setLiked = _a[1];
    var _b = React.useState(false), favorite = _b[0], setFavorite = _b[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters("Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that."), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", liked: liked, likeCount: liked ? 1 : 0, source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'Like',
                icon: React.createElement(LikeIcon, { liked: liked }),
                onClick: function () { return setLiked(!liked); },
                actionType: 'like',
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
export var LongAuthorSourceString = function () {
    var _a = React.useState(false), liked = _a[0], setLiked = _a[1];
    var _b = React.useState(false), favorite = _b[0], setFavorite = _b[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters("Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that."), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", liked: liked, likeCount: liked ? 1 : 0, source: 'Long Author Source String that should truncate', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'Like',
                icon: React.createElement(LikeIcon, { liked: liked }),
                onClick: function () { return setLiked(!liked); },
                actionType: 'like',
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
export var NoLikeButton = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
export var DuplicateButton = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
export var EditButton = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'edit',
                icon: 'edit',
                onClick: function () { return console.log('edit'); },
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
export var NoPopoverActionsDeleteButton = function () {
    var _a = React.useState(false), favorite = _a[0], setFavorite = _a[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'edit',
                icon: 'edit',
                onClick: function () { return console.log('edit'); },
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Delete',
                icon: (React.createElement("div", { style: {
                        color: colors.shuttleGray,
                    } },
                    React.createElement(DeleteForever, { color: "inherit" }))),
                onClick: function () { return console.log('delete'); },
            },
        ] })));
};
export var NoPopoverActionsNoFavoriting = function () {
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "black", source: 'Dr. Martin Luther King Jr', sentAt: "15 minutes ago", isFavorite: false, bottomActions: [
            {
                ariaLabel: 'edit',
                icon: 'edit',
                onClick: function () { return console.log('edit'); },
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Delete',
                icon: (React.createElement("div", { style: {
                        color: colors.shuttleGray,
                    } },
                    React.createElement(DeleteForever, { color: "inherit" }))),
                onClick: function () { return console.log('delete'); },
            },
        ] })));
};
export var White = function () {
    var _a = React.useState(false), liked = _a[0], setLiked = _a[1];
    var _b = React.useState(false), favorite = _b[0], setFavorite = _b[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: encodeBoardCharacters('Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.'), ariaMessageText: "Darkness cannot drive out darkness, only    light can do that.    Hate cannot drive out hate, only love can   do that.", boardStyle: "white", liked: liked, likeCount: liked ? 1 : 0, source: 'Dr. Martin Luther King Jr', sentAt: "9 hours ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'Like',
                icon: React.createElement(LikeIcon, { liked: liked, boardStyle: "white" }),
                onClick: function () { return setLiked(!liked); },
                actionType: 'like',
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
//
export var ColorCharachterCodes = function () {
    var _a = React.useState(false), liked = _a[0], setLiked = _a[1];
    var _b = React.useState(false), favorite = _b[0], setFavorite = _b[1];
    return (React.createElement(VestaboardPreview, __assign({}, ids, { characters: [
            [
                64,
                67,
                68,
                68,
                68,
                68,
                67,
                64,
                63,
                68,
                68,
                68,
                68,
                63,
                64,
                67,
                68,
                68,
                68,
                68,
                67,
                64,
            ],
            [
                67,
                68,
                63,
                63,
                63,
                63,
                68,
                67,
                64,
                63,
                63,
                63,
                63,
                64,
                67,
                68,
                63,
                63,
                63,
                63,
                68,
                67,
            ],
            [
                68,
                63,
                64,
                64,
                64,
                64,
                63,
                68,
                67,
                64,
                64,
                64,
                64,
                67,
                68,
                63,
                64,
                64,
                64,
                64,
                63,
                68,
            ],
            [
                63,
                64,
                67,
                67,
                67,
                67,
                64,
                63,
                68,
                67,
                67,
                67,
                67,
                68,
                63,
                64,
                67,
                67,
                67,
                67,
                64,
                63,
            ],
            [
                64,
                67,
                68,
                68,
                68,
                68,
                67,
                64,
                63,
                68,
                68,
                68,
                68,
                63,
                64,
                67,
                68,
                68,
                68,
                68,
                67,
                64,
            ],
            [
                67,
                68,
                63,
                63,
                63,
                63,
                68,
                67,
                64,
                63,
                63,
                63,
                63,
                64,
                67,
                68,
                63,
                63,
                63,
                63,
                68,
                67,
            ],
        ], ariaMessageText: "art channel message", boardStyle: "black", liked: liked, likeCount: liked ? 1 : 0, source: 'Art Channel', sentAt: "15 minutes ago", isFavorite: favorite, onFavoritePress: function () { return setFavorite(!favorite); }, bottomActions: [
            {
                ariaLabel: 'like',
                icon: React.createElement(LikeIcon, { liked: liked }),
                onClick: function () { return setLiked(!liked); },
                // not required, but helpful for customizing the action
                actionType: 'like',
            },
            {
                ariaLabel: 'Send',
                icon: 'send',
                onClick: function () { return console.log('send'); },
            },
            {
                ariaLabel: 'Share',
                icon: 'share',
                onClick: function () { return console.log('share'); },
            },
        ], popoverActions: [
            {
                text: 'Duplicate',
                ariaLabel: 'Duplicate',
                icon: 'copy',
                onClick: function () { return console.log('duplicate'); },
            },
            {
                text: 'Delete',
                ariaLabel: 'Delete',
                icon: React.createElement(DeleteForever, null),
                onClick: function () { return console.log('delete'); },
            },
            {
                text: 'Report',
                ariaLabel: 'Report',
                icon: React.createElement(Report, null),
                onClick: function () { return console.log('report'); },
            },
            {
                text: 'Pin',
                ariaLabel: 'Pin',
                icon: 'pin',
                onClick: function () { return console.log('pin'); },
            },
        ] })));
};
