import { removeFavorite } from '../api';
import { useMutation } from './useMutation';
import { useVestaboardSubscriptionConfigInformation } from '../context/VestaboardSubscriptionContext';
import { getQueryStringParams } from '../utils/getQueryStringParams';
export var useRemoveFavorite = function () {
    var _a, _b;
    var config = useVestaboardSubscriptionConfigInformation();
    var apiKey = ((_a = config.data) === null || _a === void 0 ? void 0 : _a.subscription.installation.apiCredential.key) || '';
    var apiSecret = ((_b = config.data) === null || _b === void 0 ? void 0 : _b.subscription.installation.apiCredential.secret) || '';
    var personId = getQueryStringParams().person_id;
    return useMutation(removeFavorite({
        apiKey: apiKey,
        apiSecret: apiSecret,
        personId: personId,
    }));
};
