import { sendMessage } from '../api';
import { useMutation } from './useMutation';
import { useVestaboardSubscriptionConfigInformation } from '../context/VestaboardSubscriptionContext';
export var useSendMessage = function () {
    var _a, _b, _c;
    var config = useVestaboardSubscriptionConfigInformation();
    var apiKey = ((_a = config.data) === null || _a === void 0 ? void 0 : _a.subscription.installation.apiCredential.key) || '';
    var apiSecret = ((_b = config.data) === null || _b === void 0 ? void 0 : _b.subscription.installation.apiCredential.secret) || '';
    var subscriptionId = ((_c = config.data) === null || _c === void 0 ? void 0 : _c.subscription.id) || '';
    return useMutation(sendMessage({
        apiKey: apiKey,
        apiSecret: apiSecret,
        subscriptionId: subscriptionId,
    }));
};
