import { useMemo } from 'react';
export var makeVestaboardStyles = function (styles) {
    // useVestaboardStyles returned like deprecated MUI makeStyles
    var useVestaboardStyles = typeof styles === 'function'
        ? function (props) {
            return useMemo(function () { return styles(props); }, [props]);
        }
        : function (_props) {
            return useMemo(function () { return styles; }, []);
        };
    return useVestaboardStyles;
};
