import { characterCodes } from '../characterCodes';
import { createBoard } from './createBoard';
var emptyBoard = createBoard();
export var encodeBoardCharacters = function (value) {
    var valueArray = value.toUpperCase().split('');
    var keyCodes = valueArray.map(function (key) { var _a; return ((_a = characterCodes.find(function (code) { return code.value === key; })) === null || _a === void 0 ? void 0 : _a.code) || 0; });
    var i = 0;
    var board = emptyBoard.map(function (row) {
        return row.map(function (column) {
            i++;
            return keyCodes[i - 1] || column;
        });
    });
    return board;
};
